#
# Authors:
#   Matthew McGowan
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; version 3.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA


import os
import string
import fnmatch


pofiles = []

# check for files that use _()
for root, dirs, files in os.walk(os.getcwd()):
    for t in fnmatch.filter(files, "*.py"):
        if __file__.endswith(t):
            continue
        path = os.path.join(root, t)
        with open(path, "r") as f:
            content = f.read()
            if " _(" in content:
                pofiles.append(path)

# write new POTFILES.in
path = os.path.join(os.getcwd(), "po", "POTFILES.in")
with open(path, "w") as f:
    content = string.join(pofiles, "\n")
    f.write(content)

# run gettext pot file generator
os.system("xgettext --files-from=po/POTFILES.in --directory=. --output=po/tw.pot")
