/*
 * Authors:
 *  Matthew McGowan <matthew.joseph.mcgowan@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


import QtQuick 1.1


Rectangle {
    property color baseColor: activePalette.mid
    property string text: ""
    property real highlightFactor: 1.1667
    property alias font: label.font

    radius: 6
    color: Qt.darker(baseColor, 1.2)
    border.width: 1
    border.color: Qt.darker(baseColor, 1.3)

    implicitWidth: Math.max(16, children[0].paintedWidth + 6)
    implicitHeight: children[0].paintedHeight + 1

    Text {
        id: label
        color: Qt.lighter(baseColor, parent.highlightFactor)
        horizontalAlignment: Text.AlignHCenter
        text: parent.text
        style: Text.Raised
        styleColor: Qt.darker(baseColor, 1.6)
        font.bold: true
        font.pixelSize: 10
        anchors.verticalCenter: parent.verticalCenter
        x: (parent.width - paintedWidth) / 2 + (text == "1" ? 1 : 2)
    }
}
