/*
 * Authors:
 *  Matthew McGowan <matthew.joseph.mcgowan@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


import QtQuick 1.1
import QtDesktop 0.1


TextField {
    id: field

    property alias title: _title.text

    onActiveFocusChanged: {
        console.log(field, "focus", activeFocus)
    }

    anchors.left: parent.left
    anchors.right: parent.right

    function get_changes() {
        return text
    }

    Text {
        id: _title

        color: Qt.darker(activePalette.mid, 1.6)
        text: field.title
        style: Text.Raised
        styleColor: Qt.lighter(activePalette.mid, 1.1667)
        font.bold: true

        anchors.verticalCenter: parent.verticalCenter
        anchors.right: parent.right
        anchors.rightMargin: 10
    }

    ListViewButton {
        id: saveAll

        anchors.left: parent.right
        anchors.leftMargin: 3
        anchors.verticalCenter: parent.verticalCenter
 
        label: "Save All"
        //font.family: "TotallyWired"

        radius: height/2
        visible: (metadata != undefined && metadata.multi_select)

        onClicked: {
            if (field.text != data) {
                metadata.field_save_changes_to_selection(
                    field.objectName, field.text)
            }
        }
    }
}
