/*
 * Authors:
 *  Matthew McGowan <matthew.joseph.mcgowan@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 1.1


Rectangle {
    id: separator

    x: 250
    width: 4
    color: activePalette.window

    MouseArea {
        id: events
        anchors.fill: parent
        anchors.leftMargin: -3
        anchors.rightMargin: -3
        hoverEnabled: true
        drag.target: separator
        drag.axis: Drag.XAxis
        drag.minimumX: 100
        drag.maximumX: separator.parent.width - 100

        onContainsMouseChanged: {
            Utils.set_cursor(containsMouse || drag.active ? "hsplit" : "")
        }
    }

    Image {
        source: "../../../data/art/dropshadow-west-superslim.png"
        anchors.right: parent.left
        anchors.top: parent.top
        height: parent.height
    }

    Image {
        source: "../../../data/art/dropshadow-east-superslim.png"
        anchors.left: parent.right
        anchors.top: parent.top
        height: parent.height
    }
}
