/*
 * Authors:
 *  Matthew McGowan <matthew.joseph.mcgowan@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


import QtQuick 1.1
import QtDesktop 0.1

MouseArea {
    id: dialog

    signal yesClicked
    signal noClicked

    hoverEnabled: true

    Rectangle {
        anchors.fill: parent
        radius: 5
        color: Qt.rgba(1,1,1,0.5)

        Column {
            spacing: 12
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.verticalCenter: parent.verticalCenter

            TextLabel {
                text: "Are you sure you want to remove this Source?"
                font.bold: true
                style: Text.Raised
                styleColor: Qt.rgba(1,1,1,0.4)
                anchors.horizontalCenter: parent.horizontalCenter
            }

            Row {
                anchors.horizontalCenter: parent.horizontalCenter
                spacing: 6

                Button {
                    text: "Yes"
                    onClicked: dialog.yesClicked()
                }

                Button {
                    text: "No"
                    onClicked: dialog.noClicked()
                }
            }
        }
    }
}
