/*
 * Authors:
 *  Matthew McGowan <matthew.joseph.mcgowan@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 1.1
import QtDesktop 0.1


Item {
    height: 3 * em

    Row {
        anchors.left: parent.left
        height: mbSave.height

        LabelButton {
            id: back

            horizontalPadding: 12
            font.family: "TotallyWired"
            label: "c"
            hint: "start"

            height: parent.height

            onClicked: metadata.request_previous()
        }

        Rectangle {
            // separator
            anchors.top: parent.top
            anchors.bottom: parent.bottom
            anchors.margins: 1
            width: 1

            color: Qt.darker(activePalette.mid, 1.15)
        }

        LabelButton {
            id: forward

            horizontalPadding: 12
            font.family: "TotallyWired"
            label: "d"
            hint: "end"

            height: parent.height

            onClicked: metadata.request_next()
        }
    }

    Row {
        spacing: 4
        anchors.right: parent.right

        Button {
            id: mbSave
            text: "Save"

            onClicked: {
                metadata.save_changes()
            }
        }

        Button {
            id: mbDone
            text: "Back to Library"

            onClicked: {
                editor.close()  // emit signal
            }
        }
    }
}
