/*
 * Authors:
 *  Matthew McGowan <matthew.joseph.mcgowan@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


import QtQuick 1.1
import QtDesktop 0.1


Item {
    height: 52

    anchors.bottom: parent.bottom
    anchors.left: parent.left
    anchors.right: parent.right

    PlaybackControlRibbon {
        id: playbackRibbon
        anchors.leftMargin: 6
        anchors.left: parent.left
        anchors.verticalCenter: parent.verticalCenter
    }

    PlaybackSelectorRibbon {
        id: selectorRibbon
        anchors.rightMargin: 6
        anchors.right: parent.right
        anchors.verticalCenter: parent.verticalCenter
    }

    NowPlayingInfo {
        id: nowPlayingInfo
        anchors.leftMargin: 12
        anchors.rightMargin: 12
        anchors.top: progressbar.bottom
        anchors.left: playbackRibbon.right
        anchors.right: selectorRibbon.left
    }

    PlaybackPositionBar {
        id: progressbar
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.top: parent.top
    }
}
