/*
 * Authors:
 *  Matthew McGowan <matthew.joseph.mcgowan@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


import QtQuick 1.1


Row {
    spacing: 0

    IconButton {
        icon: "../../../data/art/faenza/small/go-previous.svg"
        anchors.verticalCenter: parent.verticalCenter
        opacity: Player.has_history ? 1.0 : 0.4
        hint: "start"

        onClicked: {
            if (Player.has_history)
                Player.previous()
        }
    }

    VLine {
        color: Qt.lighter(activePalette.mid, 1.1)
    }

    IconButton {
        icon: "../../../data/art/faenza/small/go-next.svg"
        anchors.verticalCenter: parent.verticalCenter
        opacity: Player.has_stream ? 1.0 : 0.4
        hint: "end"

        onClicked: {
            if (Player.has_stream)
                Player.next()
        }
    }

    IconButton {
        icon: (
            Player.is_playing ?
            "../../../data/art/faenza/small/media-playback-pause.svg" :
            "../../../data/art/faenza/small/media-playback-start.svg")
        anchors.verticalCenter: parent.verticalCenter

        onClicked: {
            if (Player.is_playing) {
                Player.pause()
            }
            else if (Player.is_paused) {
                Player.resume()
            }
            else if (Player.is_stopped) {
                if (Player.has_history)
                    MusicCollection.start_current_item()
                else
                    Player.next()
            }
        }
    }
}
