/*
 * Authors:
 *  Matthew McGowan <matthew.joseph.mcgowan@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


import QtQuick 1.1


Row {
    spacing: 0
    height: children[1].height

    Item {
        width: children[0].paintedWidth + 6
        height: children[0].paintedHeight
        anchors.verticalCenter: parent.verticalCenter
        anchors.verticalCenterOffset: 3

        Text {
            text: Player.nice_playback_position_info
            font.pointSize: 8
            color: activePalette.text
        }
    }

    IconButton {
        anchors.verticalCenter: parent.verticalCenter

        icon: "../../../data/art/faenza/small/media-playlist-shuffle.svg"
        checked: Player.shuffle_active

        onClicked: {
            Player.set_shuffle(!checked)
        }
    }

    IconButton {
        anchors.verticalCenter: parent.verticalCenter

        icon: "../../../data/art/faenza/small/media-playlist-repeat.svg"
        checked: Player.repeat_active

        onClicked: {
            Player.set_repeat(!checked)
        }
    }
}
